org.apache.storm.generated

## Class Supervisor.AsyncClient

- java.lang.Object
- - org.apache.storm.thrift.async.TAsyncClient
  - - org.apache.storm.generated.Supervisor.AsyncClient

- All Implemented Interfaces:
    Supervisor.AsyncIface
  Enclosing class:
    Supervisor

      public static class Supervisor.AsyncClient
      extends org.apache.storm.thrift.async.TAsyncClient
      implements Supervisor.AsyncIface

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Supervisor.AsyncClient.Factory`
    `static class` | `Supervisor.AsyncClient.getLocalAssignmentForStorm_call`
    `static class` | `Supervisor.AsyncClient.sendSupervisorAssignments_call`
    `static class` | `Supervisor.AsyncClient.sendSupervisorWorkerHeartbeat_call`

  - ### Field Summary

    - ### Fields inherited from class org.apache.storm.thrift.async.TAsyncClient

      `___currentMethod, ___manager, ___protocolFactory, ___transport`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AsyncClient(org.apache.storm.thrift.protocol.TProtocolFactory protocolFactory, org.apache.storm.thrift.async.TAsyncClientManager clientManager, org.apache.storm.thrift.transport.TNonblockingTransport transport)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `getLocalAssignmentForStorm(String id, org.apache.storm.thrift.async.AsyncMethodCallback<Assignment> resultHandler)`
    `void` | `sendSupervisorAssignments(SupervisorAssignments assignments, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler)`
    `void` | `sendSupervisorWorkerHeartbeat(SupervisorWorkerHeartbeat heartbeat, org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler)`

    - ### Methods inherited from class org.apache.storm.thrift.async.TAsyncClient

      `checkReady, getError, getProtocolFactory, getTimeout, hasError, hasTimeout, onComplete, onError, setTimeout`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AsyncClient

          public AsyncClient(org.apache.storm.thrift.protocol.TProtocolFactory protocolFactory,
                             org.apache.storm.thrift.async.TAsyncClientManager clientManager,
                             org.apache.storm.thrift.transport.TNonblockingTransport transport)

  - ### Method Detail

    - #### sendSupervisorAssignments

          public void sendSupervisorAssignments(SupervisorAssignments assignments,
                                                org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler)
                                         throws org.apache.storm.thrift.TException

      Specified by:
        `sendSupervisorAssignments` in interface `Supervisor.AsyncIface`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### getLocalAssignmentForStorm

          public void getLocalAssignmentForStorm(String id,
                                                 org.apache.storm.thrift.async.AsyncMethodCallback<Assignment> resultHandler)
                                          throws org.apache.storm.thrift.TException

      Specified by:
        `getLocalAssignmentForStorm` in interface `Supervisor.AsyncIface`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### sendSupervisorWorkerHeartbeat

          public void sendSupervisorWorkerHeartbeat(SupervisorWorkerHeartbeat heartbeat,
                                                    org.apache.storm.thrift.async.AsyncMethodCallback<Void> resultHandler)
                                             throws org.apache.storm.thrift.TException

      Specified by:
        `sendSupervisorWorkerHeartbeat` in interface `Supervisor.AsyncIface`
      Throws:
        `org.apache.storm.thrift.TException`

Copyright © 2021 The Apache Software Foundation. All rights reserved.